//
//  ContentView.swift
//  PanelTest
//
//  Created by Craig Hockenberry on 8/11/23.
//

import SwiftUI

struct ContentView: View {
    var body: some View {
		VStack(alignment: .leading, spacing: 0) {
			HStack {
				Text("Header Text")
				
				Spacer()
				
				Image("checkmark") // this is a 170 x 170 px image
					.resizable()
					.aspectRatio(contentMode: .fit)
			
				// NOTE: The image should adapt to the size of the Text() in this
				// HStack(). This is because this needs to look right on iOS and tvOS.
				//
				// These are things that don't work:
				//
				// .frame()
				// UIFontMetrics.default.scaledValue(for: value))
				// @ScaledMetric
				// GeometryReader
			}
			.padding(10)
			.background(.orange)
			.frame(maxWidth: .infinity)
			
			Text("This is some body text")
				.padding(10)
		}
		.background(.pink)
		.frame(maxWidth: 300)
    }
}

#Preview {
    ContentView()
}
